%{?nodejs_find_provides_and_requires}

%global packagename evp_bytestokey
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.0
Release: 1%{?dist}.3
Summary: he super secure key derivation algorithm from openssl
License: MIT
URL: https://github.com/crypto-browserify/EVP_BytesToKey
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(create-hash) >= 1.1.1
BuildRequires: npm(create-hash) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.2.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
The super secure key derivation algorithm from openssl
(spoiler alert not actually secure, only every use it
for compatibility reasons).


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
